Subject: Re: [PATCH -next] PCI: fix tlan build when CONFIG_PCI is not enabled

From: Sakari Ailus <[email-masked]>
Date: Tue, 15 Feb 2011 00:02:59 +0200

Sakari Ailus wrote:
> Randy Dunlap wrote:
>> From: Randy Dunlap<[email-masked]>
>>
>> When CONFIG_PCI is not enabled, tlan.c has a build error:
>> drivers/net/tlan.c:503: error: implicit declaration of function 'pci_wake_from_d3'
>>
>> so add an inline function stub for this function to pci.h when
>> PCI is not enabled, similar to other stubbed PCI functions.
>>
>> Signed-off-by: Randy Dunlap<[email-masked]>
>> Cc: Sakari Ailus<[email-masked]>
>
> Hi Randy,
>
> I think this issue in tlan driver was caused by my recent patch which
> added the suspend/resume support to tlan:
>
> <URL:http://marc.info/?l=linux-netdev&m=129564436110754&w=3>
>
> There apparently are tlan cards which are EISA (not PCI) which I forgot
> when writing the patch. The suspend/resume has been only tested with PCI
> as I have no EISA bus (let alone EISA tlan card!).

Right; so I suppose there's no PM support in EISA anyway. Other pci 
functions appear to be no-ops when CONFIG_PCI isn't defined so this 
patch seems right to me --- and no changes are needed in the tlan driver.

Acked-by: Sakari Ailus <[email-masked]>

-- 
Sakari Ailus
[email-masked]